#include<bits/stdc++.h>
using namespace std;
string a;
int b,c;
int main(){
     cin>>a>>b>>c;
     if((b-c)==1){
        for(int i=1;i<=b;i++){
            cout<<a[0]<<a[1];
        }
        cout<<a[0];
     }
     else if((b-c)==0){
        for(int i=1;i<=b;i++){
            cout<<a[0]<<a[1];
        }
     }
     else if((c-b)==1){
        for(int j=1;j<=c;j++){
        cout<<a[1]<<a[0];
        }
        cout<<a[1];
     }
     else if(c-b==0){
        for(int j=1;j<=c;j++){
            cout<<a[1]<<a[0];
        }
     }
     else{
        cout<<"nemoguce";
     }
return 0;
}